import Vue from 'vue'
import VueI18n from 'vue-i18n'
import en from './en'
import zh from './zh'
import kr from './kr'
import { getLanguage, Cookie } from '../util'

Vue.use(VueI18n)

let messages = {
  en,
  zh,
  kr,
}

let locale = Cookie.getCookie('eosget_lang') || getLanguage()

const i18n = new VueI18n({
    locale,
    messages
  })

export default i18n